ros-kilted-ur-robot-driver (4.1.0-1noble) noble; urgency=high

  * Migrate hardware_interface's on_init method (#1464 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1464>)
  * Add scaling parameters to upstream JTC (#1465 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1465>)
  * Add migration of ros2_control node to migration notes (#1458 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1458>)
  * Fix flaky controller switch test (#1447 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1447>)
  * fix_flaky_force_mode_test (#1429 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1429>)
  * Reduce flakiness of trajectory controller tests (#1443 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1443>)
  * Added 'is in remote control' call as a dashboard service (#1433 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1433>)
  * ur_robot_driver: Fix compilation on Windows (#1421 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1421>)
  * Refactor prepare_switch method (#1417 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1417>)
  * Update simulation page to also explicitly mention PolyScope X (#1415 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1415>)
  * Contributors: Felix Exner, Mads Holm Peters, Silvio Traversaro

 -- Felix Exner <feex@universal-robots.com>  Mon, 28 Jul 2025 22:00:00 -0000

ros-kilted-ur-robot-driver (4.0.3-1noble) noble; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Sun, 15 Jun 2025 22:00:00 -0000

ros-kilted-ur-robot-driver (4.0.2-1noble) noble; urgency=high

  * Remove unnecessary arguments. (#1389 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1389>)
  * Contributors: Dr. Denis

 -- Felix Exner <feex@universal-robots.com>  Thu, 12 Jun 2025 22:00:00 -0000

ros-kilted-ur-robot-driver (4.0.1-1noble) noble; urgency=high

  * [force mode controller] Fix the task frame orientation (#1379 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1379>)
  * Replace ament_target_dependencies calls (#1373 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1373>)
  * Update feature list (#1372 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1372>)
  * Contributors: Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Tue, 27 May 2025 22:00:00 -0000

ros-kilted-ur-robot-driver (4.0.0-1noble) noble; urgency=high

  * Add support for UR15 (#1358 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1358>)
  * [CI] Check links using lychee instead of a custom script (#1355 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1355>)
  * Make check_starting_point of test_move launch files configurable (#1354 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1354>)
  * Add troubleshooting section about handling ABI breaks (#1350 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1350>)
  * Only append to start_modes in prepare_switch (#1344 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1344>)
  * tool_contact_test: Check result status directly (#1345 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1345>)
  * Contributors: Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Mon, 19 May 2025 22:00:00 -0000

ros-kilted-ur-robot-driver (3.2.1-1noble) noble; urgency=high

  * Disable enforcing command limits (#1342 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1342>)
  * Contributors: Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Thu, 10 Apr 2025 22:00:00 -0000

ros-kilted-ur-robot-driver (3.2.0-1noble) noble; urgency=high

  * Added controller to enable and disable tool contact (#940 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/940>)
  * Start executing passthrough trajectories earlier than all points are transferred. (#1313 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1313>)
  * Support PolyScopeX robots (#1318 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1318>)
  * Add support for UR7e and UR12e (#1320 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1320>)
  * Use UrDriverConfig struct to initialize UrDriver (#1328 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1328>)
  * Fix passthrough controller to not read non-existing state_interfaces (#1314 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1314>)
  * Fix links to forward command controllers (#1303 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1303>)
  * Contributors: Felix Exner, URJala

 -- Felix Exner <feex@universal-robots.com>  Wed, 09 Apr 2025 22:00:00 -0000

ros-kilted-ur-robot-driver (3.1.1-1noble) noble; urgency=high

  * Update transformForceTorque to handle whether it is a cb3 or an e-Series robot (#1287 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1287>)
  * Update message documentation URLs (#1292 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1292>)
  * Contributors: Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Sun, 16 Mar 2025 23:00:00 -0000

ros-kilted-ur-robot-driver (3.1.0-1noble) noble; urgency=high

  * Port robot_state_helper to ROS2 (#933 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/933>)
  * Fix crashes on shutting down (#1270 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1270>)
  * Fix formatting (#1262 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1262>)
  * Move some documentation to client_library (#1245 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1245>)
  * Contributors: Felix Durchdewald, Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Tue, 04 Mar 2025 23:00:00 -0000

ros-kilted-ur-robot-driver (3.0.2-1noble) noble; urgency=high

  * Check quaternions for equal dot_product instead of comparing their components individually (#1238 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1238>)
  * fix sphinx doc link in ur_robot_driver (#1240 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1240>)
  * Disable pose broadcaster on mock hardware (#1229 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1229>)
  * Add information about which driver features dont work with mock hardware (#1227 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1227>)
  * Add instructions for enabling necessary services and remote control (#1224 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1224>)
  * Contributors: Felix Exner, Rune Søe-Knudsen, URJala

 -- Felix Exner <feex@universal-robots.com>  Mon, 20 Jan 2025 23:00:00 -0000

ros-kilted-ur-robot-driver (3.0.1-1noble) noble; urgency=high

  * Remove unused include (#1220 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1220>)
  * improve docs around usage of extracted calibration info (#1214 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1214>)
  * Contributors: Bence Magyar, Carter Sifferman

 -- Felix Exner <feex@universal-robots.com>  Sun, 29 Dec 2024 23:00:00 -0000

ros-kilted-ur-robot-driver (3.0.0-1noble) noble; urgency=high

  * Freedrive Controller (#1114 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1114>)
  * Fix running force_mode controller alongside passthrough trajectory controller (#1210 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1210>)
  * Update package maintainers (#1203 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1203>)
  * Add force mode controller (#1049 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1049>)
  * Add trajectory passthrough controller (#944 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/944>)
  * Use pose_broadcaster to publish the TCP pose (#1108 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1108>)
  * Contributors: Felix Exner, URJala, Vincenzo Di Pentima

 -- Felix Exner <feex@universal-robots.com>  Tue, 17 Dec 2024 23:00:00 -0000

ros-kilted-ur-robot-driver (2.4.13-1noble) noble; urgency=high

  * Fix component lifecycle (#1098 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1098>)
  * Add missing state interfaces for get_robot_software_version (#1153 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1153>)
  * Contributors: Felix Exner (fexner)

 -- Felix Exner <exner@fzi.de>  Sun, 27 Oct 2024 23:00:00 -0000

ros-kilted-ur-robot-driver (2.4.12-1noble) noble; urgency=high

  * Revert "Add passthrough interfaces for joints (#1121 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1121>)" (#1151 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1151>)
  * Contributors: Felix Exner (fexner)

 -- Felix Exner <exner@fzi.de>  Sun, 13 Oct 2024 22:00:00 -0000

ros-kilted-ur-robot-driver (2.4.11-1noble) noble; urgency=high

  * Add note about TEM (#1136 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1136>)
  * Allow setting the analog output domain when setting an analog IO (#1123 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1123>)
  * Service to get software version of robot (#964 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/964>)
  * Add passthrough interfaces for joints (#1121 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1121>)
  * Fix for Controller Switching Issue and Refactor Controller Spawning (#1093 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1093>)
  * Improve usage documentation (#1110 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1110>)
  * Assure the description is loaded as string (#1106 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1106>)
  * Contributors: Chen Chen, Felix Exner (fexner), URJala

 -- Felix Exner <exner@fzi.de>  Wed, 09 Oct 2024 22:00:00 -0000

ros-kilted-ur-robot-driver (2.4.10-1noble) noble; urgency=high

  * Fix for forward_velocity_controller test (#1076 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1076>)
  * Update maintainers team (#1088 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1088>)
  * Contributors: Vincenzo Di Pentima

 -- Felix Exner <exner@fzi.de>  Tue, 10 Sep 2024 22:00:00 -0000

ros-kilted-ur-robot-driver (2.4.9-1noble) noble; urgency=high

  * Added dynamics tag when using mock_components/GenericSystem (#1075 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1075>)
  * Updated the UR family photo on the readme (#1064 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1064>)
  * Fix passing launch_dashboard_client launch argument (#1057 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1057>)
  * [doc] Add more documentation regarding usage (#1055 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1055>)
  * Add doc to custom URScript commands that it needs to be in headless mode (#1051 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1051>)
  * Update reference to ros2_controllers test node (#1054 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1054>)
  * [doc] Update required polyscope version (#1052 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1052>)
  * Add migration notes for jazzy (#1045 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1045>)
  * Contributors: Felix Exner (fexner), Rune Søe-Knudsen

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 08 Aug 2024 22:00:00 -0000

ros-kilted-ur-robot-driver (2.4.8-1noble) noble; urgency=high

  * Add sleep between controller stopper's controller queries (#1038 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1038>)
  * Contributors: Felix Exner (fexner)

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 30 Jun 2024 22:00:00 -0000

ros-kilted-ur-robot-driver (2.4.7-1noble) noble; urgency=high

  * Fix launching without a tf_prefix specified (#1029 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1029>)
  * Contributors: Felix Exner (fexner)

 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 18 Jun 2024 22:00:00 -0000

ros-kilted-ur-robot-driver (2.4.6-1noble) noble; urgency=high

  * Remove tf_prefix from ur_control.launch.py (#1020 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1020>)
  * Make moveit_config compatible to moveit_configs_builder (#998 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/998>)
  * Remove extra spaces from start_ursim statement in tests (#1010 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/pull/1010>)
  * Replace keepalive count (#1002 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1002>)
  * Restructure documentation for full stack documentation (#984 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/984>)
  * Contributors: Felix Exner, Ruddick Lawrence, Vincenzo Di Pentima

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 16 Jun 2024 22:00:00 -0000

ros-kilted-ur-robot-driver (2.4.5-1noble) noble; urgency=high

  * Remove dependency to docker.io (#985 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/985>)
  * Move starting the robot_state_publisher to an own launch file (#977 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/977>)
    Co-authored-by: Vincenzo Di Pentima <mailto:DiPentima@fzi.de>
  * Update installation instructions for source build (#967 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/967>)
  * Fix multi-line strings in DeclareLaunchArgument (#948 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/948>)
  * Contributors: Christoph Fröhlich, Felix Exner (fexner), Matthijs van der Burgh

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 15 May 2024 22:00:00 -0000

ros-kilted-ur-robot-driver (2.4.4-1noble) noble; urgency=high

  * Use ros2 control node from controller_manager and description topic (#939 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/pull/939>)
  * Move communication setup to on_configure instead of on_activate (#732 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/732>)
  * [URDF] Fix initial value of speed scaling factor syntax (#920 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/920>)
  * Reduce number of controller_spawners to 3 (#919 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/pull/919>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 03 Apr 2024 22:00:00 -0000

ros-kilted-ur-robot-driver (2.4.3-1noble) noble; urgency=high

  * Add UR30 support (#899 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/899>)
  * Add control description and ros2_control tag to driver. (#877 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/877>)
  * Contributors: Felix Exner (fexner)

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 01 Feb 2024 23:00:00 -0000

ros-kilted-ur-robot-driver (2.4.2-1noble) noble; urgency=high

  * [README] Move installation instructions to subpage (#870 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/870>)
  * Add backward_ros to driver (#872 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/872>)
  * Simplify tests (#849 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/849>)
  * Port configuration  (#835 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/835>)
    Added possibility to change the reverse_port, script_sender_port and trajectory_port
  * [README] Update link to MoveIt! documentation
  * Do not start urscipt_interface when using mock hardware
  * Contributors: Felix Durchdewald, Felix Exner, RobertWilbrandt

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 22 Nov 2023 23:00:00 -0000

ros-kilted-ur-robot-driver (2.4.1-1noble) noble; urgency=high

  * Added a test that sjtc correctly aborts on violation of constraints (#810 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/pull/810>)
  * Added support for UR20 (#797 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/797>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 20 Sep 2023 22:00:00 -0000

ros-kilted-ur-robot-driver (2.4.0-1noble) noble; urgency=high

  * Start ursim from lib (#733 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/733>)
    * Forward start_ursim.sh to the one from the client library
    * Update docs and tests to start ursim from the ur_client_library script
  * Update velocity-control on feature list (#573 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/573>)
    ros2_controllers jtc does support velocity control by now, so we should not state it doesn't.
  * Introduced tf_prefix into log handler (#713 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/713>)
    * Introduced tf_prefix into log handler
    * added default argument to prefix
    ---------
    Co-authored-by: Lennart Nachtigall <mailto:firesurfer@firesurfer.de>
    Co-authored-by: Felix Exner <mailto:exner@fzi.de>
    Co-authored-by: Lennart Nachtigall <mailto:lennart.nachtigall@sci-mo.de>
  * Run robot driver test also with tf_prefix (#729 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/729>)
    * Run robot driver test also with tf_prefix
    * Use tf_prefix substitution in controllers config file
    * Set default value of tf_prefix in launchfile to empty instead of '""'
    ---------
    Co-authored-by: Robert Wilbrandt <mailto:wilbrandt@fzi.de>
  * Use mock_hardware and mock_sensor_commands instead of fake (#739 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/739>)
    * Use mock_hardware and mock_sensor_commands instead of fake
    This has been deprecated a while back and was never adapted.
    * Update documentation to mock_hardware
  * Urscript interface (#721 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/721>)
    * Add a urscript interface node
    * Add urscript_interface to standard launchfile
    * Added documentation for urscript_interface
    * Add a notice about incorrect script code
    * Add test for urscript interface
    * Move tests to one single tests
    This should avoid that different tests run in parallel
    * Wait for IO controller before checking IOs
    * Write an initial textmessage when connecting the urscript_interface
    * Wait for controller_manager services longer
    * Make sure we have a clean robot state without any program running once we enter our test
    similar to how we did it on the robot_driver test
    * Remove unneeded Destructor definition
  * Use SCHED_FIFO for controller_manager's main thread (#719 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/719>)
    Previous investigations showed that using FIFO scheduling helps keeping
    cycle times also non non-RT kernels. This combined with non-blocking read
    can result in a very stable system.
    This is, in fact, very close to what the actual controller_manager_node
    does except that we always use FIFO scheduling independent of the actual
    kernel in use.
  * Contributors: Felix Exner (fexner), Lennart Nachtigall

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 27 Aug 2023 22:00:00 -0000

ros-kilted-ur-robot-driver (2.3.2-1noble) noble; urgency=high

  * Adds full nonblocking readout support (Multiarm part 4)  - v2 (#673 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/673>)
  * Removed workaround also in export_command_interfaces (#692 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/692>)
  * Calling on_deactivate in dtr (#679 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/679>)
  * Fixed formatting (#685 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/685>)
  * Remove tf_prefix workaround in hw interface
  * Ported controllers to generate_parameters library and added prefix for controllers (Multiarm part 2) (#594 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/594>)
  * Remove ur_bringup package (#666 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/666>)
  * Introduce hand back control service (#528 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/528>)
  * Apply suggestions from code review
  * Update definition of test goals to new version.
  * Wait longer for controllers to load and activate
  * Fix flaky tests (#641 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/641>)
    * Move robot startup into test's setUp function
    * Robustify robot startup
  * This commits adds additional configuration parameters needed for multiarm support.
  * Add timeout to execution test
  * Improve logging for robot execution tests
  * Contributors: Denis Štogl, Dr. Denis, Felix Exner, Felix Exner (fexner), Lennart Nachtigall, Robert Wilbrandt, livanov93

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 01 Jun 2023 22:00:00 -0000

ros-kilted-ur-robot-driver (2.3.1-1noble) noble; urgency=high

  * Adjust controller switching to message change
  * Controller spawner timeout (#608 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/608>)
    * Simplify controller spawner definitions
    * Ignore flake8 W503 as it clashes with black and goes against PEP8 style
    * Add argument to set controller spawner timeout
    * Use longer controller manager timeout in CI
    The default timeout of 10s is the same as our RTDE retry timeout, which
    means if RTDE does not immediately connect (which happens regularly in
    CI runners) controller spawning would fail.
  * Increase timeout for first test service call to driver (#605 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/605>)
  * Contributors: Robert Wilbrandt, RobertWilbrandt

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 15 Mar 2023 23:00:00 -0000

ros-kilted-ur-robot-driver (2.3.0-1noble) noble; urgency=high

  * Fix cmake dependency on controller_manager
  * Correct calibration correction launch file in doc
  * Added services to set tool voltage and zero force torque sensor (#466 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/466>)
    Added launch arguments for reverse ip and script command interface port.
  * Fix comment in test file
  * Default path to ur_client_library urscript (#316 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/316>)
    * Change default path for urscript for headless mode.
    * Replace urscript path also in newer ur_robot_driver launchfile
    * Remove ros_control.urscript
    Co-authored-by: Felix Exner <mailto:exner@fzi.de>
  * Clean up & improve execution tests (#512 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/512>)
    * Clean up execution test files
    * Start ursim as part of the execution tests
    * Dont use custom dockerursim for humble and rolling execution tests
    * Clean up test implementations
    * pep257 fixes
    * Perform rolling and humble execution tests as part of normal pipelines
    * Increase admissible timeouts as the CI needs to pull ursim first
    * Add more debug messages during tests
    * Wait until robot is in POWER_OFF mode before trying to power it on
    * Fix error introduced in last commit
    * Add additional cmake option to enable integration tests
    * Increase timeout for robot tests
    * Add CMake comment describing the execution test integration
    * Run source tests on pull request
    This is only here for testing the test setup! Remove before merging
    * call resend_robot_program twice
    This seems to be necessary, as otherwise the robot hangs after bootup.
    The first program execution (that gets automatically started at driver
    startup because of the headless_mode) gets paused, since it is sent while
    the robotis not yet switched on. To mitigate this, we send the robot program
    again after switching on the robot, but this seems to stop the robot program.
    Sending it again seems to set it correctly to a started state.
    * Increase timeouts for dashboard_client tests
    Otherwise they can fail, since in parallel we pull and start the docker
    container.
    Co-authored-by: Felix Exner <mailto:exner@fzi.de>
  * Update and thin down README (#494 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/494>)
    Avoid duplication between README and package doc.
    * Updated documentation about fake_hardware and MoveIt!
    * Remove trailing WS
    * [documentation] do not suggest -r for rosdep install
    * Added note about tool0_controller to docs.
    * Add additional part about calibration to toplevel README.
    * Added note about sourcing ROS in build instructions
  * ur_robot_driver: Controller_stopper fix deprecation warning
    Use ``activate_controllers`` instead of ``start_controllers``.
  * Fix tool voltage setup (#526 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/526>)
    * Move BEGIN_REPLACE inside of header
    * Change default value of tool_voltage
    Keeping this at 0 requires users to explicitly set it to non-zero. This way
    we won't accitentally destroy hardware that cannot handle 24V.
  * Added dependency to socat (#527 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/527>)
    This is needed for the tool forwarding.
  * Add a note in the tool_comm doc about a URCap conflict (#524 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/524>)
    * Add a note in the tool_comm doc about a URCap conflict
    * Update ur_robot_driver/doc/setup_tool_communication.rst
    Co-authored-by: Mads Holm Peters <mailto:79145214+urmahp@users.noreply.github.com>
    * Fix formatting and one spelling mistake
    Co-authored-by: Mads Holm Peters <mailto:79145214+urmahp@users.noreply.github.com>
  * Contributors: Felix Exner, Felix Exner (fexner), Mads Holm Peters, Robert Wilbrandt, RobertWilbrandt, livanov93

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 01 Mar 2023 23:00:00 -0000

ros-kilted-ur-robot-driver (2.2.4-1noble) noble; urgency=high

  * Remove the custom ursim docker files (#478 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/478>)
    This has been migrated inside the docs and is not needed anymore.
  * Remove duplicated update_rate parameter (#479 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/479>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 06 Oct 2022 22:00:00 -0000

ros-kilted-ur-robot-driver (2.2.3-1noble) noble; urgency=high

  * Adapt ros control api (#448 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/448>)
    * scaled jtc: Use get_interface_name instead of get_name
    * Migrate from stopped controllers to inactive controllers
    stopped controllers has been deprecated upstream
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 26 Jul 2022 22:00:00 -0000

ros-kilted-ur-robot-driver (2.2.2-1noble) noble; urgency=high

  * Made sure all past maintainers are listed as authors (#429 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/429>)
  * Silence a compilation warning (#425 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/425>)
    Since setting the receive timeout takes the time_buffer as an argument
    this raises a "may be used uninitialized" warning. Setting this to 0
    explicitly should prevent that.
  * Doc: Fix IP address in usage->ursim section (#422 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/422>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Mon, 18 Jul 2022 22:00:00 -0000

ros-kilted-ur-robot-driver (2.2.1-1noble) noble; urgency=high

  * Fixed controller name for force_torque_sensor_broadcaster (#411 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/411>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 26 Jun 2022 22:00:00 -0000

ros-kilted-ur-robot-driver (2.2.0-1noble) noble; urgency=high

  * Updated package maintainers
  * Rework bringup (#403 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/403>)
  * Prepare for humble (#394 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/394>)
  * Update dependencies on all packages (#391 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/391>)
  * Update HW-interface API for humble. (#377 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/377>)
  * Use types in hardware interface from ros2_control in local namespace (#339 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/339>)
  * Update header extension to remove compile warning. (#285 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/285>)
  * Add resource files from ROS World. (#226 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/226>)
  * Add sphinx documentation (#340 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/340>)
  * Update license to BSD-3-Clause (#277 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/277>)
  * Update ROS_INTERFACE.md to current driver (#335 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/335>)
  * Fix hardware interface names in error output (#329 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/329>)
  * Added controller stopper node (#309 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/309>)
  * Correct link to calibration extraction (#310 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/310>)
  * Start the tool communication script if the flag is set (#267 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/267>)
  * Change driver constructor and change calibration check (#282 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/282>)
  * Use GPIO tag from URDF in driver. (#224 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/224>)
  * Separate control node (#281 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/281>)
  * Add missing dependency on angles and update formatting for linters. (#283 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/283>)
  * Do not print an error output if writing is not possible (#266 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/266>)
  * Update features.md (#250 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/250>)
  * Tool communication (#218 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/218>)
  * Payload service (#238 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/238>)
  * Import transformation of force-torque into tcp frame from ROS1 driver (https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/blob/master/ur_robot_driver/src/hardware_interface.cpp). (#237 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/237>)
  * Make reading and writing work when hardware is disconnected (#233 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/233>)
  * Add missing command and state interfaces to get everything working with the fake hardware and add some comment into xacro file to be clearer. (#221 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/221>)
  * Decrease the rate of async tasks. (#223 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/223>)
  * Change robot type. (#220 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/220>)
  * Driver to headless. (#217 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/217>)
  * Test execution tests (#216 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/216>)
  * Integration tests improvement (#206 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/206>)
  * Set start modes to empty. Avoid position ctrl loop on start. (#211 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/211>)
  * Add resend program service and enable headless mode (#198 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/198>)
  * Implement "choices" for robot_type param (#204 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/204>)
  * Calibration extraction package (#186 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/186>)
  * Add breaking api changes from ros2_control to hardware_interface (#189 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/189>)
  * Fix prepare and perform switch operation (#191 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/191>)
  * Update CI configuration to support galactic and rolling (#142 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/142>)
  * Dockerize ursim with driver in docker compose (#144 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/144>)
  * Enabling velocity mode (#146 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/146>)
  * Moved registering publisher and service to on_active (#151 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/151>)
  * Converted io_test and switch_on_test to ROS2 (#124 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/124>)
  * Added loghandler to handle log messages from the Client Library with … (#126 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/126>)
  * Removed dashboard client from hardware interface
  * [WIP] Updated feature list (#102 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/102>)
  * Moved Async check out of script running check (#112 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/112>)
  * Fix gpio controller (#103 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/103>)
  * Fixed speed slider service call (#100 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/100>)
  * Adding missing backslash and only setting workdir once (#108 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/108>)
  * Added dockerfile for the driver (#105 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/105>)
  * Using official Universal Robot Client Library (#101 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/101>)
  * Reintegrating missing ur_client_library dependency since the break the building process (#97 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/97>)
  * Fix readme hardware setup (#91 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/91>)
  * Fix move to home bug (#92 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/92>)
  * Using modern python
  * Some intermediate commit
  * Remove obsolete and unused files and packages. (#80 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/80>)
  * Review CI by correcting the configurations (#71 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/71>)
  * Add support for gpios, update MoveIt and ros2_control launching (#66 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/66>)
  * Quickfix against move home bug
  * Added missing initialization
  * Use GitHub Actions, use pre-commit formatting (#56 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/56>)
  * Put dashboard services into corresponding namespace
  * Start dashboard client from within the hardware interface
  * Added try catch blocks for service calls
  * Removed repeated declaration of timeout parameter which lead to connection crash
  * Removed static service name in which all auto generated services where mapped
  * Removed unused variable
  * Fixed clang-format issue
  * Removed all robot status stuff
  * Exchanged hardcoded value for RobotState msgs enum
  * Removed currently unused controller state variables
  * Added placeholder for industrial_robot_status_interface
  * Fixed clang issues
  * Added checks for internal robot state machine
  * Only load speed scaling interface
  * Changed state interface to combined speed scaling factor
  * Added missing formatting in hardware interface
  * Initial version of the speed_scaling_state_controller
  * Fix clang tidy in multiple pkgs.
  * Clang tidy fix.
  * Update force torque state controller.
  * Prepare for testing.
  * Fix decision breaker for position control. Make decision effect instantaneous.
  * Use only position interface.
  * Update hardware interface for ROS2 (#8 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/8>)
  * Update the dashboard client for ROS2 (#5 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/5>)
  * Hardware interface framework (#3 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/3>)
  * Add XML schema to all ``package.xml`` files
  * Silence ``ament_lint_cmake`` errors
  * Update packaging for ROS2
  * Update package.xml files so ``ros2 pkg list`` shows all pkgs
  * Clean out ur_robot_driver for initial ROS2 compilation
  * Compile ur_dashboard_msgs for ROS2
  * Delete all launch/config files with no UR5 relation
  * Initial work toward compiling ur_robot_driver
  * Update CMakeLists and package.xml for:
    - ur5_moveit_config
    - ur_bringup
    - ur_description
  * Change pkg versions to 0.0.0
  * Contributors: AndyZe, Denis Stogl, Denis Štogl, Felix Exner, John Morris, Lovro, Mads Holm Peters, Marvin Große Besselmann, Rune Søe-Knudsen, livanov93, Robert Wilbrandt

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 19 Jun 2022 22:00:00 -0000

ros-kilted-ur-robot-driver (0.0.3-1noble) noble; urgency=high

  * Added a service to end ROS control from ROS side
  * Publish IO state on ROS topics
  * Added write channel through RTDE with speed slider and IO services
  * Added subscriber to send arbitrary URScript commands to the robot

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 08 Aug 2019 22:00:00 -0000

ros-kilted-ur-robot-driver (0.0.2-1noble) noble; urgency=high

  * Fixed dependencies and installation
  * Updated README
  * Fixed passing parameters through launch files
  * Added support for correctly switching controllers during runtime and using the standard
    joint_trajectory_controller
  * Updated externalcontrol URCap to version 1.0.2
    + Fixed Script timeout when running the URCap inside of a looping tree
    + Fixed a couple of typos
  * Increased minimal required UR software version to 3.7/5.1

 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 02 Jul 2019 22:00:00 -0000

ros-kilted-ur-robot-driver (0.0.1-1noble) noble; urgency=high

  Initial release

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 27 Jun 2019 22:00:00 -0000


